PERTALIFE Bugs - Bug #3344

[HR-Employee]Personal Data tambahkan validasi pada saat upload foto dengan nama special

character.
01/15/2025 01:41 PM - Muhammad Bintar

Status: Closed Start date: 01/15/2025
Priority: Normal Due date: 01/21/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

sesuai redmine http://remote.minovais.com:3000/redmine/issues/2888

mohon untuk di buatkan validasi pada saat upload foto dengan nama special character.

aplikasi http:/remote.minovais.com:61115/

database di remote.minovais.com, 1452
Pertalife Prod

History

#1 - 01/15/2025 01:53 PM - Muhammad Bintar
- File sdsds ((.jpg added

#2 - 01/15/2025 02:07 PM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

package :
Xtype

maxFileSize = Ext.ComponentQuery.query('uploadfile[name=" + targetField_ + ']')[0]. maxFileSize;
Ext.ComponentQuery.query('[name=FileMax]')[0].setValue(maxFileSize);

var form = Ext.ComponentQuery.query(‘form[name=FormFileUpload]')[0].getForm();
uploadfilename = form.monitor.items.items0.value

uploadfilenameSub = uploadfilename.substring(uploadfilename.lastindexOf('\\') + 1);

fileName = uploadfilenameSub.split(".").shift();

var regex = /Na-zA-Z0-9\s]*$/;

var invalidChars = fileName.split(").filter(char => Iregex.test(char)).join(");
if (invalidChars.length > 0) {

var message = "File name contains special characters: ${invalidChars}.";
Ext.Msg.alert('Invalid File Name', message);

return;

}

makasih

#3 - 01/15/2025 02:09 PM - Muhammad Bintar

- File clipboard-202501151409-kohjd.png added

- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi
